local NAME, ADDON = ...

local djbags = {}
djbags.__index = djbags

--region Events

function djbags:ADDON_LOADED(name)
    if name ~= NAME then return end

    ADDON.settingsScreen:Init()

    ADDON.eventManager:RemoveEvent(self, 'ADDON_LOADED')
end

ADDON.eventManager:AddEvent(djbags, 'ADDON_LOADED')

--region Override function

ToggleAllBags = function()
    ADDON.bagController:ToggleBags()
end

local oldToggle = ToggleBag
ToggleBag = function(bag)
    if (bag >= 0 and bag <= NUM_BAG_SLOTS) then
        ADDON.bagController:ToggleBags()
    else
        oldToggle(bag)
    end
end

ToggleBackpack = function()
    ADDON.bagController:ToggleBags()
end

OpenAllBags = function()
    ADDON.bagController:OpenBags()
end

OpenBackpack = function()
    ADDON.bagController:OpenBags()
end

CloseAllBags = function()
    ADDON.bagController:CloseBags()
end

CloseBackpack = function()
    ADDON.bagController:CloseBags()
end

--endregion

--region Debug

SLASH_DBAG1, SLASH_DBAG2 = '/db', '/dbag'
function SlashCmdList.DBAG()
    ADDON.settingsScreen:Show()
end

SLASH_RL1 = '/rl'
function SlashCmdList.RL()
    ReloadUI()
end

--endregion